local healerlist	= { 'DRUID', 'MONK', 'PALADIN', 'PRIEST', 'SHAMAN' }
local tanklist		= { 'DEATHKNIGHT', 'DRUID', 'MONK', 'PALADIN', 'WARRIOR' }
local agilist		= { 'DRUID', 'HUNTER', 'MONK', 'ROGUE', 'SHAMAN' }
local strlist		= { 'DEATHKNIGHT', 'PALADIN', 'WARRIOR' }
local intlist		= { 'DRUID', 'MAGE', 'MONK', 'PALADIN', 'PRIEST', 'SHAMAN', 'WARLOCK' }
local casterlist	= { 'DRUID', 'MAGE', 'PRIEST', 'SHAMAN', 'WARLOCK' }


local TRINKET_CLASS_DATA = {
	
	-- T17
	[113658] = strlist,
	[113853] = agilist,
	[113842] = healerlist,
	[113861] = tanklist,
	[113854] = healerlist,
	[113650] = tanklist,
	[113834] = tanklist,
	[113859] = intlist,
	[113612] = agilist,
	[113835] = intlist,
	[113645] = strlist,
	[113986] = healerlist,
	[113987] = tanklist,
	[113931] = agilist,
	[113984] = intlist,
	[113893] = tanklist,
	[113948] = casterlist,
	[113889] = healerlist,
	[113983] = strlist,
	[119194] = casterlist,
	[119193] = strlist,
	[113985] = agilist,
	[119192] = casterlist,
	[118114] = agilist,
	[113905] = tanklist,
	[113969] = strlist,	
	
}

GetTrinketClassList = function(itemLink)
	if not itemLink then return end

	-- Get the item ID to check against known token IDs
	local _,_itemID = strfind(itemLink, '|Hitem:(%d+):')

	if TRINKET_CLASS_DATA[itemID] then
		return TRINKET_CLASS_DATA[itemID]
	else
		return 'FULL'
	end
end